# モジュール読み込み ******************************************************
import subprocess
# subproces：プロセス管理に関するPython標準モジュールです。

# メイン処理 *************************************************************
try:
    # arecord で録音 ************************************
    print("30秒の音声録音開始")
    cmd = "arecord -f cd -d 30 /home/kuro/kurosSIRO/data/message/test.wav"
    # arecord という標準コマンドを使って30秒間の録音を行っています。
    # arecordのオプション:　-f cd :CDと同じ音質 -d :録音時間指定
    # 事前に音声ファイルを保存するフォルダ（筆者の場合は/home/kuro/kurosSIRO/data/message）を準備しておきます。
    subprocess.call(cmd.split())
    # subprocess.callでコマンドを実行しています。

# 終了処理　**************************************************************
# Ctrl + C キーボード割り込み
except KeyboardInterrupt as reigai:
    print("Ctrl C ........")

finally:  # 終了処理
    print("SIRO stopping............")

# End of program ●▲■●▲■●▲■●▲■■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■
