# モジュール読み込み ******************************************************
import subprocess
# subproces:プロセス管理に関するPython標準モジュールです。

# IPアドレス確認 *********************************************************
globalipaddress = ""  # グローバルIPアドレスを保存
# 変数を定義しています。


def siro_globalipaddress():
    # グローバルIPアドレスを取得する関数を定義しています。

    global globalipaddress

    cmd = "curl ifconfig.me"
    # グローバルIPアドレスを取得するコマンドです。

    result = subprocess.check_output(cmd.split())
    # コマンドを実行してその結果を取得しています。

    result = result.decode("utf-8")
    # コマンド実行結果をデコードして文字列に変換しています。

    globalipaddress = result


# メイン処理 *************************************************************
try:
    siro_globalipaddress()
    # 定義した関数を実行します。

    print("グローバルIPアドレスは:"+globalipaddress)
    # 結果を表示します。

# 終了処理　**************************************************************
# Ctrl + C キーボード割り込み
except KeyboardInterrupt as reigai:
    print("Ctrl C ........")

finally:  # 終了処理
    print("SIRO stopping............")

# End of program ●▲■●▲■●▲■●▲■■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■
